Subject: Re: Wireless Appletalk

From: "Tom Watson" <[email-masked]>
Date: Sun, 04 Feb 2001 01:36:26 -0800

Check the driver for the LAN intrfaces.  AppleTalk REQUIRES that
MAC level interfaces provide a hardware multicast capability.  Some
drivers (I worked on one) don't provide it, or do it in a very
marginal way (like only in promiscous mode).  I just took a brief
look at the code (file "wavelan.c" in .../drivers/net) and saw some
code relating to hardware multicast mode.  Some code in OTHER parts
of the networking are need to have the configuration paramater for
"IP: multicasting" (which is quite another thing, really) turned on to
enable MAC level (ISO level 2) multicast things.  You might want to
check there.  If you have some way of "sniffing" at packets, you might
look there to see that when things such as AppleTalk name lookups happen
(use the program 'nbplkup'), the multicast address (09:00:07:FF:FF:FF)
gets out.  Then look for a response back.

Good luck in your work.
Sorry about the delay in a response.  I've been busy.

On Mon, 29 Jan 2001 12:55:37 -0500 (EST), [email-masked] wrote:
> Anyone gotten netatalk running on a wireless network?  I am using the lucent 
> cards Wavelan/IEEE in ad-hoc mode...  I want my router to act as the head end 
> appletalk router defining networks and zones...  I am guessing the broadcast 
> is what is screwing it up...  I don't even get zones...  I took a working 
> atalkd config and just changed interfaces...  now it doesn't work on the 
> wireless... here is my config
> eth2 -router -net 50-55 -address 50.1 -zone "Stuff" -zone "Other Stuff"
> 
> (note the options might not be the exact terms  I am not at the box...)
> 
> Any help?
> 
-- 
Tom Watson         Generic short signature
[email-masked]     (I'm at home now)